Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.node
Class FixedIClip

    java.lang.Object
      multivalent.VObject
          multivalent.Node
              multivalent.INode
                  multivalent.node.IClip
                      multivalent.node.FixedIClip

All Implemented Interfaces:
  java.lang.Cloneable, Fixed

public class FixedIClip
extends IClip
implements Fixed

Clips children to be within its bbox, WxH of which are given in constructor and are independent of size and position of children.

Version:
  $Revision: 1.2 $ $Date: 2002/06/01 16:02:10 $

Field Summary

Fields inherited from class multivalent.INode
`border, INSETS, INSETS_ZERO, margin, padding`

Fields inherited from class multivalent.Node
`align, ALIGN_INVALID, ATTR_ID, ATTR_SCRIPT, baseline, BASELINE, bbox, BOTH, BOTTOM, CENTER, CHAR, FILL, floats, INHERIT, JUSTIFY, LEFT, MAXNONSTRUCTDEPTH, MIDDLE, name_, NONE, observers_, parent_, PROBEWIDTH, RIGHT, sticky_, stickycnt_, TOP, valid_, valign`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.node.Fixed
`ATTR_REFORMATTED`

Constructor Summary
`FixedIClip(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> attr, INode parent, java.awt.Shape clip)`
`FixedIClip(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> attr, INode parent, java.awt.Shape clip, java.awt.Rectangle bounds)`

Method Summary
`boolean` | `formatNode(int width, int height, Context cx)` Make children relative according to initial bboxes.
`java.awt.Rectangle` | `getIbbox()` An "ibbox", or initial bbox, holds the absolute coordinates vs relative ones in bboxes.

Methods inherited from class multivalent.node.IClip
`getClip, getCrop, paintNode`

Methods inherited from class multivalent.INode
`addCategory, appendChild, breakAfter, breakBefore, checkRep, childAt, childNum, clipboardNode, clone, contains, dump, dx, dy, eventBeforeAfter, eventNode, findDFS, formatBeforeAfter, getElementById, getFirstChild, getFirstLeaf, getLastChild, getLastLeaf, getNextSibling, getPreviousSibling, insertChildAt, isStruct, markDirtySubtreeDown, paintBeforeAfter, removeAllChildren, removeChild, removeChildAt, setChildAt, setName, size, structChildAt, structChildNum, structsize`

Methods inherited from class multivalent.Node
`addObserver, addSticky, addSticky, childNum, clipboardBeforeAfter, cmp, commonAncestor, commonAncestor, contains, deleteObserver, dump, dump, findBFS, findBFS, findBFS, findDFS, findDFS, findDFS, getAbsLocation, getActivesAt, getActivesAt, getActivesAt, getBbox, getBrowser, getDocument, getIScrollPane, getName, getNextLeaf, getNextNode, getNodeName, getObservers, getParentNode, getPrevLeaf, getPrevNode, getRelLocation, getRoot, getSticky, indexSticky, intersects, isLeaf, isValid, markDirty, markDirtySubtree, markDirtyTo, morphInto, reformat, remove, removeSticky, removeSticky, removeTidy, repaint, repaint, repaint, repaint, scrollTo, scrollTo, setParentNode, setValid, sizeSticky, spanChunky, spanChunky, structChildNum, toString`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface multivalent.node.Fixed
`getBbox`

Constructor Detail

### FixedIClip

    public FixedIClip(java.lang.String name,
                      java.util.Map<java.lang.String,java.lang.Object> attr,
                      INode parent,
                      java.awt.Shape clip,
                      java.awt.Rectangle bounds)

### FixedIClip

    public FixedIClip(java.lang.String name,
                      java.util.Map<java.lang.String,java.lang.Object> attr,
                      INode parent,
                      java.awt.Shape clip)

Method Detail

### getIbbox

    public java.awt.Rectangle getIbbox()

  Description copied from interface: `Fixed`
  An "ibbox", or initial bbox, holds the absolute coordinates vs relative ones in bboxes.

  Specified by:
    `getIbbox` in interface `Fixed`

### formatNode

    public boolean formatNode(int width,
                              int height,
                              Context cx)

  Make children relative according to initial bboxes.

  Overrides:
    `formatNode` in class `IClip`
  See Also:
    `FixedI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD